UPTIME(1)

BEZEICHNUNG
uptime - feststellen, wie lange das System schon läuft

ÜBERSICHT
uptime [Optionen]

BESCHREIBUNG
uptime zeigt in einer Zeile die folgenden Informationen an: die aktuelle Zeit, wie lange das System bereits läuft, die Anzahl der aktuell angemeldeten Benutzer und die durchschnittliche Auslastung des Systems in den letzten 1, 5 und 15 Minuten.

Dies sind dieselben Informationen, die auch in der Kopfzeile des Befehls w(1) angezeigt werden.

Die durchschnittliche Auslastung des Systems ist die durchschnittliche Anzahl der Prozesse, die entweder in einem lauffähigen oder nicht unterbrechbaren Zustand sind. Lauffähiger Zustand bedeutet, dass ein Prozess entweder gerade die CPU benutzt oder darauf wartet, sie benutzen zu können. Der nicht unterbrechbare Zustand bedeutet, dass ein Prozess auf einen E/A-Zugriff wartet, beispielsweise auf die Festplatte. Die Durchschnitte werden über drei Zeitintervalle gebildet. Die durchschnittliche Auslastung wird nicht auf die Anzahl der CPUs in einem System normalisiert, so dass eine Auslastung von 1 bei einem System mit einer CPU bedeutet, dass das System zu jeder Zeit voll ausgelastet ist. Auf einem System mit vier CPUs bedeutet dieselbe Auslastung, dass der Rechner während 75% der Zeit im Leerlauf war.

OPTIONEN

-p, --pretty
    Uptime im schönen Format anzeigen

-h, --help
    Diesen Hilfetext anzeigen

-s, --since
    System ist hochgefahren seit, im Format »yyyy-mm-dd HH:MM:SS«

-V, --version
    Versionsinformationen anzeigen und das Programm beenden.

DATEIEN

/var/run/utmp
    Informationen darüber, wer aktuell angemeldet ist

/proc
    Prozessinformation

AUTOREN
uptime wurde von Larry Greenfield (greenfie@gauss.rutgers.edu) und Michael K. Johnson (johnsonm@sunsite.unc.edu) geschrieben.

SIEHE AUCH
ps(1), top(1), utmp(5), w(1)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org